﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Windows.Forms;

namespace WeatherGMap
{
    class ListViewItemComparer: IComparer
    {
        private int column;

        public ListViewItemComparer()
            : this(0)
        {
        }

        public ListViewItemComparer(int column)
        {
            this.column = column;
        }

        public int Compare(object x, object y)
        {
            return String.Compare(((ListViewItem)x).SubItems[column].Text, 
                ((ListViewItem)y).SubItems[column].Text);
        }
    }
}
